////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

BOOL Interval(void)
{
    if(AllOnHold)
        return FALSE;

    if(CurrentlyRunning)
        return FALSE;

    int Sched = CheckSchedule();

    if(Sched > -1)
    {
        SQLProcess.IsTrusted = BT[Sched].IsTrusted;

        SQLProcess.ScheduleItem = Sched;

        MemCopy(BT[Sched].Database,  SQLProcess.DataBase, strlen(BT[Sched].Database));
        MemCopy(BT[Sched].DBDriver,  SQLProcess.Driver,   strlen(BT[Sched].DBDriver));
        MemCopy(BT[Sched].SQLServer, SQLProcess.Server,   strlen(BT[Sched].SQLServer));
        MemCopy(BT[Sched].Username,  SQLProcess.UserID,   strlen(BT[Sched].Username));
        MemCopy(BT[Sched].Password,  SQLProcess.UserPW,   strlen(BT[Sched].Password));

        RunningManual = FALSE;
        BackupJob(BT[Sched].Filename);
    }

    return TRUE;
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

